com.jscape.inet.ssh.protocol.v2.transport.keyexchange

## Class ClientKeyExchanges

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ClientKeyExchanges

-     public class ClientKeyExchanges
      extends java.lang.Object

  Client key exchanges.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientKeyExchanges.Entry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClientKeyExchanges.Entry[]` | `ALL`
    `static ClientKeyExchanges.Entry[]` | `ALL_DISABLED_SIGNATURE_VERIFICATION`
    `static ClientKeyExchanges.Entry` | `DH_GROUP_SHA1`
    `static ClientKeyExchanges.Entry` | `DH_GROUP_SHA1_DISABLED_SIGNATURE_VERIFICATION`
    `static ClientKeyExchanges.Entry` | `DH_GROUP_SHA256`
    `static ClientKeyExchanges.Entry` | `DH_GROUP_SHA256_DISABLED_SIGNATURE_VERIFICATION`
    `static ClientKeyExchanges.Entry` | `DH_GROUP1_SHA1`
    `static ClientKeyExchanges.Entry` | `DH_GROUP1_SHA1_DISABLED_SIGNATURE_VERIFICATION`
    `static ClientKeyExchanges.Entry` | `DH_GROUP14_SHA1`
    `static ClientKeyExchanges.Entry` | `DH_GROUP14_SHA1_DISABLED_SIGNATURE_VERIFICATION`
    `static ClientKeyExchanges.Entry` | `DH_GROUP14_SHA256`
    `static ClientKeyExchanges.Entry` | `DH_GROUP15_SHA512`
    `static ClientKeyExchanges.Entry` | `DH_GROUP16_SHA512`
    `static ClientKeyExchanges.Entry` | `DH_GROUP17_SHA512`
    `static ClientKeyExchanges.Entry` | `DH_GROUP18_SHA512`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_B_233`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_B_409`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_K_163`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_K_233`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_K_283`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_K_409`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_P_192`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_P_224`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_P_256`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_P_384`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_P_521`
    `static ClientKeyExchanges.Entry` | `ECDH_SHA2_NIST_T_571`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentClientKeyExchangeFactory` | `init(ComponentClientKeyExchangeFactory factory, ClientKeyExchanges.Entry... entries)`
    `static ComponentClientKeyExchangeFactory` | `init(ComponentClientKeyExchangeFactory factory, java.security.Provider provider, ClientKeyExchanges.Entry... entries)`
    `static ComponentClientKeyExchangeFactory` | `init(ComponentClientKeyExchangeFactory factory, java.lang.String provider, ClientKeyExchanges.Entry... entries)`
    `static ComponentClientKeyExchangeFactory` | `initAll(ComponentClientKeyExchangeFactory factory)` Setups all implemented key exchange algorithms.
    `static ComponentClientKeyExchangeFactory` | `initAll(ComponentClientKeyExchangeFactory factory, java.security.Provider provider)`
    `static ComponentClientKeyExchangeFactory` | `initAll(ComponentClientKeyExchangeFactory factory, java.lang.String provider)`
    `static ComponentClientKeyExchangeFactory` | `initAllClient(ComponentClientKeyExchangeFactory factory)`
    `static ComponentClientKeyExchangeFactory` | `initAllClient(ComponentClientKeyExchangeFactory factory, java.security.Provider provider)`
    `static ComponentClientKeyExchangeFactory` | `initAllClient(ComponentClientKeyExchangeFactory factory, java.lang.String provider)`
    `static ComponentClientKeyExchangeFactory` | `initAllClientDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory)`
    `static ComponentClientKeyExchangeFactory` | `initAllClientDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory, java.security.Provider provider)`
    `static ComponentClientKeyExchangeFactory` | `initAllClientDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory, java.lang.String provider)`
    `static ComponentClientKeyExchangeFactory` | `initAllDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory)`
    `static ComponentClientKeyExchangeFactory` | `initAllDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory, java.security.Provider provider)`
    `static ComponentClientKeyExchangeFactory` | `initAllDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory, java.lang.String provider)`
    `static ComponentClientKeyExchangeFactory` | `initOptional(ComponentClientKeyExchangeFactory factory)` Setups optional key exchange algorithms.
    `static ComponentClientKeyExchangeFactory` | `initOptional(ComponentClientKeyExchangeFactory factory, java.security.Provider provider)`
    `static ComponentClientKeyExchangeFactory` | `initOptional(ComponentClientKeyExchangeFactory factory, java.lang.String provider)`
    `static ComponentClientKeyExchangeFactory` | `initOptionalDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory)`
    `static ComponentClientKeyExchangeFactory` | `initOptionalDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory, java.security.Provider provider)`
    `static ComponentClientKeyExchangeFactory` | `initOptionalDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory, java.lang.String provider)`
    `static ComponentClientKeyExchangeFactory` | `initRequired(ComponentClientKeyExchangeFactory factory)` Setups required key exchange algorithms.
    `static ComponentClientKeyExchangeFactory` | `initRequired(ComponentClientKeyExchangeFactory factory, java.security.Provider provider)`
    `static ComponentClientKeyExchangeFactory` | `initRequired(ComponentClientKeyExchangeFactory factory, java.lang.String provider)`
    `static ComponentClientKeyExchangeFactory` | `initRequiredDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory)`
    `static ComponentClientKeyExchangeFactory` | `initRequiredDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory, java.security.Provider provider)`
    `static ComponentClientKeyExchangeFactory` | `initRequiredDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory, java.lang.String provider)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DH_GROUP1_SHA1

          public static final ClientKeyExchanges.Entry DH_GROUP1_SHA1

    - #### DH_GROUP1_SHA1_DISABLED_SIGNATURE_VERIFICATION

          public static final ClientKeyExchanges.Entry DH_GROUP1_SHA1_DISABLED_SIGNATURE_VERIFICATION

    - #### DH_GROUP14_SHA1

          public static final ClientKeyExchanges.Entry DH_GROUP14_SHA1

    - #### DH_GROUP14_SHA1_DISABLED_SIGNATURE_VERIFICATION

          public static final ClientKeyExchanges.Entry DH_GROUP14_SHA1_DISABLED_SIGNATURE_VERIFICATION

    - #### DH_GROUP14_SHA256

          public static final ClientKeyExchanges.Entry DH_GROUP14_SHA256

    - #### DH_GROUP15_SHA512

          public static final ClientKeyExchanges.Entry DH_GROUP15_SHA512

    - #### DH_GROUP16_SHA512

          public static final ClientKeyExchanges.Entry DH_GROUP16_SHA512

    - #### DH_GROUP17_SHA512

          public static final ClientKeyExchanges.Entry DH_GROUP17_SHA512

    - #### DH_GROUP18_SHA512

          public static final ClientKeyExchanges.Entry DH_GROUP18_SHA512

    - #### DH_GROUP_SHA1

          public static final ClientKeyExchanges.Entry DH_GROUP_SHA1

    - #### DH_GROUP_SHA1_DISABLED_SIGNATURE_VERIFICATION

          public static final ClientKeyExchanges.Entry DH_GROUP_SHA1_DISABLED_SIGNATURE_VERIFICATION

    - #### DH_GROUP_SHA256

          public static final ClientKeyExchanges.Entry DH_GROUP_SHA256

    - #### DH_GROUP_SHA256_DISABLED_SIGNATURE_VERIFICATION

          public static final ClientKeyExchanges.Entry DH_GROUP_SHA256_DISABLED_SIGNATURE_VERIFICATION

    - #### ECDH_SHA2_NIST_P_256

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_P_256

    - #### ECDH_SHA2_NIST_P_384

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_P_384

    - #### ECDH_SHA2_NIST_P_521

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_P_521

    - #### ECDH_SHA2_NIST_K_163

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_K_163

    - #### ECDH_SHA2_NIST_P_192

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_P_192

    - #### ECDH_SHA2_NIST_P_224

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_P_224

    - #### ECDH_SHA2_NIST_K_233

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_K_233

    - #### ECDH_SHA2_NIST_B_233

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_B_233

    - #### ECDH_SHA2_NIST_K_283

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_K_283

    - #### ECDH_SHA2_NIST_K_409

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_K_409

    - #### ECDH_SHA2_NIST_B_409

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_B_409

    - #### ECDH_SHA2_NIST_T_571

          public static final ClientKeyExchanges.Entry ECDH_SHA2_NIST_T_571

    - #### ALL

          public static final ClientKeyExchanges.Entry[] ALL

    - #### ALL_DISABLED_SIGNATURE_VERIFICATION

          public static final ClientKeyExchanges.Entry[] ALL_DISABLED_SIGNATURE_VERIFICATION

  - ### Method Detail

    - #### init

          public static ComponentClientKeyExchangeFactory init(ComponentClientKeyExchangeFactory factory,
                                                               ClientKeyExchanges.Entry... entries)

    - #### init

          public static ComponentClientKeyExchangeFactory init(ComponentClientKeyExchangeFactory factory,
                                                               java.lang.String provider,
                                                               ClientKeyExchanges.Entry... entries)

    - #### init

          public static ComponentClientKeyExchangeFactory init(ComponentClientKeyExchangeFactory factory,
                                                               java.security.Provider provider,
                                                               ClientKeyExchanges.Entry... entries)

    - #### initRequired

          public static ComponentClientKeyExchangeFactory initRequired(ComponentClientKeyExchangeFactory factory)

      Setups required key exchange algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initRequiredDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initRequiredDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory)

    - #### initRequired

          public static ComponentClientKeyExchangeFactory initRequired(ComponentClientKeyExchangeFactory factory,
                                                                       java.lang.String provider)

    - #### initRequiredDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initRequiredDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory,
                                                                                                    java.lang.String provider)

    - #### initRequired

          public static ComponentClientKeyExchangeFactory initRequired(ComponentClientKeyExchangeFactory factory,
                                                                       java.security.Provider provider)

    - #### initRequiredDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initRequiredDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory,
                                                                                                    java.security.Provider provider)

    - #### initOptional

          public static ComponentClientKeyExchangeFactory initOptional(ComponentClientKeyExchangeFactory factory)

      Setups optional key exchange algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initOptionalDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initOptionalDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory)

    - #### initOptional

          public static ComponentClientKeyExchangeFactory initOptional(ComponentClientKeyExchangeFactory factory,
                                                                       java.lang.String provider)

    - #### initOptionalDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initOptionalDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory,
                                                                                                    java.lang.String provider)

    - #### initOptional

          public static ComponentClientKeyExchangeFactory initOptional(ComponentClientKeyExchangeFactory factory,
                                                                       java.security.Provider provider)

    - #### initOptionalDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initOptionalDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory,
                                                                                                    java.security.Provider provider)

    - #### initAll

          public static ComponentClientKeyExchangeFactory initAll(ComponentClientKeyExchangeFactory factory)

      Setups all implemented key exchange algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initAllDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initAllDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory)

    - #### initAll

          public static ComponentClientKeyExchangeFactory initAll(ComponentClientKeyExchangeFactory factory,
                                                                  java.lang.String provider)

    - #### initAllDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initAllDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory,
                                                                                               java.lang.String provider)

    - #### initAll

          public static ComponentClientKeyExchangeFactory initAll(ComponentClientKeyExchangeFactory factory,
                                                                  java.security.Provider provider)

    - #### initAllDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initAllDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory,
                                                                                               java.security.Provider provider)

    - #### initAllClient

          public static ComponentClientKeyExchangeFactory initAllClient(ComponentClientKeyExchangeFactory factory)

    - #### initAllClientDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initAllClientDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory)

    - #### initAllClient

          public static ComponentClientKeyExchangeFactory initAllClient(ComponentClientKeyExchangeFactory factory,
                                                                        java.lang.String provider)

    - #### initAllClientDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initAllClientDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory,
                                                                                                     java.lang.String provider)

    - #### initAllClient

          public static ComponentClientKeyExchangeFactory initAllClient(ComponentClientKeyExchangeFactory factory,
                                                                        java.security.Provider provider)

    - #### initAllClientDisabledSignatureVerification

          public static ComponentClientKeyExchangeFactory initAllClientDisabledSignatureVerification(ComponentClientKeyExchangeFactory factory,
                                                                                                     java.security.Provider provider)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved